Search for forms
- Search 7.x for forms
- Search 9.5.x for forms
- Search 8.9.x for forms
- Search 10.3.x for forms
- Other projects
| Title | Object type | File name | Summary |
|---|---|---|---|
| FormStateInterface::setGroups | function | core/ |
Sets references to details elements to render them within vertical tabs. |
| FormStateInterface::setHasFileElement | function | core/ |
Sets that this form has a file element. |
| FormStateInterface::setIgnoreDestination | function | core/ |
Determines whether the redirect respects the destination query parameter. |
| FormStateInterface::setInvalidToken | function | core/ |
Flags the form state as having or not an invalid token. |
| FormStateInterface::setLimitValidationErrors | function | core/ |
Sets the limited validation error sections. |
| FormStateInterface::setMethod | function | core/ |
Sets the HTTP method to use for the form's submission. |
| FormStateInterface::setProcessInput | function | core/ |
Sets that the form should process input. |
| FormStateInterface::setProgrammed | function | core/ |
Sets that this form was submitted programmatically. |
| FormStateInterface::setProgrammedBypassAccessCheck | function | core/ |
Sets if this form submission should bypass #access. |
| FormStateInterface::setRebuild | function | core/ |
Sets the form to be rebuilt after processing. |
| FormStateInterface::setRebuildInfo | function | core/ |
Sets the rebuild info. |
| FormStateInterface::setRedirect | function | core/ |
Sets the redirect for the form. |
| FormStateInterface::setRedirectUrl | function | core/ |
Sets the redirect URL for the form. |
| FormStateInterface::setRequestMethod | function | core/ |
Sets the HTTP method used by the request that is building the form. |
| FormStateInterface::setResponse | function | core/ |
Sets a response for this form. |
| FormStateInterface::setStorage | function | core/ |
Sets the entire set of arbitrary data. |
| FormStateInterface::setSubmitHandlers | function | core/ |
Sets the submit handlers. |
| FormStateInterface::setSubmitted | function | core/ |
Sets that the form has been submitted. |
| FormStateInterface::setTemporary | function | core/ |
Sets temporary data. |
| FormStateInterface::setTemporaryValue | function | core/ |
Sets an arbitrary value in temporary storage. |
| FormStateInterface::setTriggeringElement | function | core/ |
Sets the form element that triggered submission. |
| FormStateInterface::setUserInput | function | core/ |
Sets the form values as though they were submitted by a user. |
| FormStateInterface::setValidateHandlers | function | core/ |
Sets the validate handlers. |
| FormStateInterface::setValidationComplete | function | core/ |
Sets that validation has been completed. |
| FormStateInterface::setValidationEnforced | function | core/ |
Enforces that validation is run. |
| FormStateInterface::setValue | function | core/ |
Sets the submitted form value for a specific key. |
| FormStateInterface::setValueForElement | function | core/ |
Changes submitted form values during form validation. |
| FormStateInterface::setValues | function | core/ |
Sets the submitted form values. |
| FormStateInterface::unsetValue | function | core/ |
Removes a specific key from the submitted form values. |
| FormStatePersistTest | class | core/ |
Tests that the form state persists across multiple requests. |
| FormStatePersistTest.php | file | core/ |
|
| FormStatePersistTest::$postRenderStoragePersist | property | core/ |
Values retrieved from form state storage in the form post_render callback. |
| FormStatePersistTest::$submitStoragePersist | property | core/ |
Values retrieved from form state storage in the form submit handler. |
| FormStatePersistTest::buildForm | function | core/ |
Form constructor. |
| FormStatePersistTest::displayCachedState | function | core/ |
Render API #post_render callback. |
| FormStatePersistTest::getFormId | function | core/ |
Returns a unique string identifying the form. |
| FormStatePersistTest::setStateRebuildValue | function | core/ |
Form API #process callback. |
| FormStatePersistTest::submitForm | function | core/ |
Form submission handler. |
| FormStatePersistTest::testFormStatePersistence | function | core/ |
Test that form state persists correctly after being submitted and rebuilt. |
| FormStatePersistTest::validateForm | function | core/ |
Form validation handler. |
| FormStateTest | class | core/ |
Tests Drupal\Core\Form\FormState. |
| FormStateTest.php | file | core/ |
|
| FormStateTest::providerTestGetError | function | core/ |
|
| FormStateTest::providerTestGetRedirect | function | core/ |
Provides test data for testing the getRedirect() method. |
| FormStateTest::providerTestIsCached | function | core/ |
Provides test data for testIsCached(). |
| FormStateTest::providerTestIsMethodType | function | core/ |
Provides test data for testIsMethodType(). |
| FormStateTest::providerTestSetErrorByName | function | core/ |
|
| FormStateTest::testAddCleanValueKey | function | core/ |
Tests add clean value key. |
| FormStateTest::testCleanValues | function | core/ |
Tests clean values. |
| FormStateTest::testFormErrorsDuringSubmission | function | core/ |
Tests that form errors during submission throw an exception. |
Pagination
- Previous page
- Page 11
- Next page
Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.